.form-control:focus {
  box-shadow: none;
  border: 2px solid $primary;
}

.form-group:focus-within:not(.form-check):not(.form-embed) label {
  color: $primary;
  font-weight: bold;
}

.form-check {
  display: grid;
  grid-auto-flow: column;
  grid-gap: 1em;
  grid-auto-columns: max-content;

  &-label {
    align-self: center;
  }
}

/** CHECKBOX */
input[type="checkbox"] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 3.5em;
  height: 1.5em;
  background: $gray-700;
  border-radius: 3em;
  position: relative;
  cursor: pointer;
  outline: none;
  vertical-align: bottom;
  -webkit-transition: all .2s ease-in-out;
  transition: all .2s ease-in-out;

  &:checked {
    background: $primary;
  }

  &:after {
    position: absolute;
    content: "";
    width: 1.5em;
    height: 1.5em;
    border-radius: 50%;
    background: #fff;
    -webkit-box-shadow: 0 0 .25em rgba(0,0,0,.3);
    box-shadow: 0 0 .25em rgba(0,0,0,.3);
    -webkit-transform: scale(.7);
    transform: scale(.7);
    left: 0;
    -webkit-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
  }

  &:checked:after {
    left: calc(100% - 1.5em);
  }
}

[type="submit"] {
  margin-top: 2em;
}